Update a toolset

View as Markdown

Update a reusable tool bundle by changing its name, built-in capabilities, custom tools, or metadata.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

toolsetIdstringRequired
Unique toolset identifier generated by BCTRL.

Headers

BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Request

This endpoint expects an object.
descriptionstring or nullOptional<=2000 characters
namestringOptional1-200 characters
toolslist of enums or stringsOptional

Response

OK
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
descriptionstring or null<=2000 characters
idstring
Unique toolset identifier generated by BCTRL.
namestring1-200 characters
spaceIdstring
Unique space identifier generated by BCTRL.
toolslist of enums or strings
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error